Debian Bug report logs - #137998
debiandoc-sgml: Add an id attribute to all elements

version graph

Package: debiandoc-sgml; Maintainer for debiandoc-sgml is Osamu Aoki <osamu@debian.org>; Source for debiandoc-sgml is src:debiandoc-sgml.

Reported by: Denis Barbier <barbier@imacs.polytechnique.fr>

Date: Tue, 12 Mar 2002 13:33:05 UTC

Severity: wishlist

Fixed in version debiandoc-sgml/1.1.92

Done: Osamu Aoki <osamu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml@packages.qa.debian.org:
Bug#137998; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Denis Barbier <barbier@imacs.polytechnique.fr>:
New Bug report received and forwarded. Copy sent to Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Denis Barbier <barbier@imacs.polytechnique.fr>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: debiandoc-sgml: Add an id attribute to all elements
Date: Tue, 12 Mar 2002 14:42:24 +0100
Package: debiandoc-sgml
Version: N/A
Severity: wishlist

Hello,

I am currently writing a tool to ensure translated documents have the
same structure as original.  It can't be done because translators do
sometimes add authors, comments, paragraphs or even sections; if such
add-ons are tagged (say with an appropriate attribute id="trans-xxx"),
documents structure could be compared.  I may send a real example if
you are not convinced.
There are surely other benefits, but I am currently focusing on this
one.

Thanks.

Denis



Information forwarded to debiandoc-sgml@packages.qa.debian.org:
Bug#137998; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Ardo van Rangelrooij <ardo@debian.org>:
Extra info received and filed, but not forwarded. Copy sent to debiandoc-sgml@packages.qa.debian.org.

You requested that the message be sent to the package maintainer(s) but either the Bug report is not associated with any package (probably because of a missing Package pseudo-header field in the original Bug report), or the package(s) specified do not have any maintainer(s).

Your message has *not* been sent to any package maintainers; it has merely been filed in the Bug tracking system. If you require assistance please contact owner@bugs.debian.org quoting the Bug number 137998.

Full text and rfc822 format available.


Message #10 received at 137998-maintonly@bugs.debian.org (full text, mbox):

From: Ardo van Rangelrooij <ardo@debian.org>
To: Denis Barbier <barbier@imacs.polytechnique.fr>, 137998-maintonly@bugs.debian.org
Subject: Re: Bug#137998: debiandoc-sgml: Add an id attribute to all elements
Date: Tue, 12 Mar 2002 19:26:40 -0600
Hi,

No need to convince me of this.  I totally agree with this proposal.

This will not be added to the current version (v1.0) of the DTD, since I've
declared that (at least to myself) as frozen.  There are a couple of other
enhancements that require DTD changes (e.g. like a proper <url></url> tag)
and there need to be some clean-ups (e.g. removing <ftpsite> and related
tags).  This will all be done in v2.

I'm not sure when I'll start on v2 since I first want to fix some of the
current bugs before the woody freeze.

Thanks,
Ardo

Denis Barbier (barbier@imacs.polytechnique.fr) wrote:
> Package: debiandoc-sgml
> Version: N/A
> Severity: wishlist
> 
> Hello,
> 
> I am currently writing a tool to ensure translated documents have the
> same structure as original.  It can't be done because translators do
> sometimes add authors, comments, paragraphs or even sections; if such
> add-ons are tagged (say with an appropriate attribute id="trans-xxx"),
> documents structure could be compared.  I may send a real example if
> you are not convinced.
> There are surely other benefits, but I am currently focusing on this
> one.
> 
> Thanks.
> 
> Denis
> 

-- 
Ardo van Rangelrooij
home email: ardo@debian.org
home page:  http://people.debian.org/~ardo
GnuPG fp:   3B 1F 21 72 00 5C 3A 73  7F 72 DF D9 90 78 47 F9



Tags added: pending Request was from Ardo van Rangelrooij <ardo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Ardo van Rangelrooij <ardo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Osamu Aoki <osamu@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Denis Barbier <barbier@imacs.polytechnique.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 137998-close@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 137998-close@bugs.debian.org
Subject: Bug#137998: fixed in debiandoc-sgml 1.1.92
Date: Sat, 15 Oct 2005 07:17:04 -0700
Source: debiandoc-sgml
Source-Version: 1.1.92

We believe that the bug you reported is fixed in the latest version of
debiandoc-sgml, which is due to be installed in the Debian FTP archive:

debiandoc-sgml_1.1.92.dsc
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.92.dsc
debiandoc-sgml_1.1.92.tar.gz
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.92.tar.gz
debiandoc-sgml_1.1.92_all.deb
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.92_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 137998@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Osamu Aoki <osamu@debian.org> (supplier of updated debiandoc-sgml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 15 Oct 2005 20:32:51 +0900
Source: debiandoc-sgml
Binary: debiandoc-sgml
Architecture: source all
Version: 1.1.92
Distribution: unstable
Urgency: low
Maintainer: DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Osamu Aoki <osamu@debian.org>
Description: 
 debiandoc-sgml - DebianDoc SGML DTD and formatting tools
Closes: 63318 137998 140684 141727 213332 235793 256076
Changes: 
 debiandoc-sgml (1.1.92) unstable; urgency=low
 .
   * Fixed bogus horizontal line in the list in HTML
     (closes: Bug#256076)
   * Provided default value of -d option to be
     /usr/share/sgml/debiandoc/dtd/sgml/1.0/debiandoc.dcl
     (closes: Bug#213332)
   * Close all wontfix-type wishlist bugs.
     (closes: Bug#63318, Bug#137998, Bug#140684, Bug#141727, Bug#235793)
   * Updated TODO and README.Debian files.
Files: 
 d3f0ddf11561003c48b3234b9c81c44d 666 text optional debiandoc-sgml_1.1.92.dsc
 116add97c07b0b8fcfd0cd3924a77b02 99024 text optional debiandoc-sgml_1.1.92.tar.gz
 4ffc76cc804b55efeeab3e85d03f8ef5 96556 text optional debiandoc-sgml_1.1.92_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDUQ9V6A/EwagGHzIRAtWnAJ9I9Gwo0kxZ2d10swFloBlX1k9NNACZAbDo
qJ2ns//NPkTFsJrwNniJp8k=
=bGnA
-----END PGP SIGNATURE-----




Information stored:
Bug#137998; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #24 received at 137998-quiet@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 137998-quiet@bugs.debian.org, 137998-submitter@bugs.debian.org, 63318-quiet@bugs.debian.org, 63318-submitter@bugs.debian.org
Subject: Why bug was closed for debiandoc-sgml
Date: Sun, 16 Oct 2005 01:06:25 +0900
Hmmm... I should have been a bit more verbose.

I closed these wishlist bug since their features are available in
Docbook XML.  Now that I added working debiandoc2xml command, I think
you can convert source and move to use docbook XML to gain access to the
features you wished.

Updated TODO describr the situation.

Cheers,

Osamu

-- 
~\^o^/~~~ ~\^.^/~~~ ~\^*^/~~~ ~\^_^/~~~ ~\^+^/~~~ ~\^:^/~~~ ~\^v^/~~~ +++++
        Osamu Aoki <osamu@debian.org>  Yokohama Japan, GPG-key: A8061F32
 .''`.  Debian Reference: post-installation user's guide for non-developers
 : :' : http://qref.sf.net and http://people.debian.org/~osamu
 `. `'  "Our Priorities are Our Users and Free Software" --- Social Contract




Message sent on to Denis Barbier <barbier@imacs.polytechnique.fr>:
Bug#137998. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 08:11:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:06:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.